> For the complete documentation index, see [llms.txt](https://docs.soda.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.soda.io/soda-documentation/soda-v3/reporting-api-v1/status.md).

# Status

## Soda can is open

> Ping this endpoint to test whether the Reporting API is live.\
> Returns the sound of a Soda can opening along with a 200.

```json
{"openapi":"3.0.2","info":{"title":"Soda Cloud Reporting API","version":"1.3.1"},"servers":[{"url":"https://reporting.cloud.soda.io/v1","description":"Cloud EU"},{"url":"https://reporting.cloud.us.soda.io/v1","description":"Cloud US"}],"paths":{"/ping":{"get":{"tags":["Status"],"summary":"Soda can is open","description":"Ping this endpoint to test whether the Reporting API is live.\nReturns the sound of a Soda can opening along with a 200.","operationId":"soda_can_is_open_ping_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}}}}
```

## Last ETL Refreshed Info

> This endpoint returns the last ETL refresh information\
> \
> Usage\
> \-----\
> Use this endpoint to capture the last ETL refresh information to make sure that the data is\
> up-to-date.\
> \
> Returns\
> \-------\
> An object of type \`LastETLRefreshResult\` containing a dictionary of \`LastETLRefreshResultData\`.\
> \
> Find details about the response objects in the \*\*Schemas\*\* section or by unfurling the response\
> details.

```json
{"openapi":"3.0.2","info":{"title":"Soda Cloud Reporting API","version":"1.3.1"},"servers":[{"url":"https://reporting.cloud.soda.io/v1","description":"Cloud EU"},{"url":"https://reporting.cloud.us.soda.io/v1","description":"Cloud US"}],"security":[{"HTTPBasic":[]},{"SodaBackendToken":[]},{"APIKeyCookie":[]},{"ApiKeyId[Soon Deprecated] Use XApiKeyID":[]},{"APIKeySecret[Soon Deprecated] Use XApiKeySecret":[]},{"XApiKeyId":[]},{"XApiKeySecret":[]}],"components":{"securitySchemes":{"HTTPBasic":{"type":"http","scheme":"basic"},"SodaBackendToken":{"type":"apiKey","in":"header","name":"SODA_TOKEN"},"APIKeyCookie":{"type":"apiKey","in":"cookie","name":"token"},"ApiKeyId[Soon Deprecated] Use XApiKeyID":{"type":"apiKey","in":"header","name":"API_KEY_ID"},"APIKeySecret[Soon Deprecated] Use XApiKeySecret":{"type":"apiKey","in":"header","name":"API_KEY_SECRET"},"XApiKeyId":{"type":"apiKey","in":"header","name":"X-API-KEY-ID"},"XApiKeySecret":{"type":"apiKey","in":"header","name":"X-API-KEY-SECRET"}},"schemas":{"LastETLRefreshResult":{"title":"LastETLRefreshResult","type":"object","properties":{"resource":{"title":"Resource","type":"string","default":"last_etl_refresh"},"data":{"title":"Data","allOf":[{"$ref":"#/components/schemas/LastETLRefreshResultData"}],"description":"Contains ETL last refreshed timestamp"}},"description":"Result of request to the last ETL refreshed endpoint."},"LastETLRefreshResultData":{"title":"LastETLRefreshResultData","type":"object","properties":{"last_etl_refresh_at":{"title":"Last Etl Refresh At","type":"string","description":"ISO timestamp of the date at which ETL was last refreshed.","format":"date-time"}},"description":"Contains ETL last refreshed timestamp"}}},"paths":{"/last_etl_refresh":{"get":{"tags":["Status"],"summary":"Last ETL Refreshed Info","description":"This endpoint returns the last ETL refresh information\n\nUsage\n-----\nUse this endpoint to capture the last ETL refresh information to make sure that the data is\nup-to-date.\n\nReturns\n-------\nAn object of type `LastETLRefreshResult` containing a dictionary of `LastETLRefreshResultData`.\n\nFind details about the response objects in the **Schemas** section or by unfurling the response\ndetails.","operationId":"last_etl_refresh_last_etl_refresh_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LastETLRefreshResult"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.soda.io/soda-documentation/soda-v3/reporting-api-v1/status.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
